For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all construction jobs
        • GETGet construction job by ID
        • GETGet all construction job details for a specific construction job
        • GETGet all contracts for a specific construction job
        • POSTCreate Contract: Yardi REST
        • PUTUpdate Contract: Yardi REST
        • GETGet all contract details for a specific contract
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
Yardi RESTConstruction Job Cost

Create Contract: Yardi REST

Beta
POST
/v1/contracts/yardi_rest/
POST
/v1/contracts/yardi_rest/
$curl -X POST https://api.propexo.com/v1/contracts/yardi_rest/ \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "integration_id": "intg-9f8b7c6d5e4a3b2c",
> "vendor_id": "vend-1234567890abcdef",
> "start_date": "2024-01-15T09:30:00Z",
> "contract_details": [
> {
> "construction_job_id": "job-9876543210fedcba",
> "property_id": "prop-1122334455667788",
> "total_amount_in_cents": 1500000
> }
> ]
>}'
1{
2 "meta": {
3 "job_id": "job-9876543210fedcba"
4 },
5 "result": {
6 "integration_id": "intg-9f8b7c6d5e4a3b2c",
7 "vendor_id": "vend-1234567890abcdef",
8 "start_date": "2024-01-15T09:30:00Z",
9 "end_date": "2025-01-15T09:30:00Z",
10 "notes": "Annual maintenance contract for HVAC system",
11 "expense_type": "Maintenance",
12 "retention_percent": "5.00",
13 "contract_details": [
14 {
15 "construction_job_id": "job-9876543210fedcba",
16 "property_id": "prop-1122334455667788",
17 "total_amount_in_cents": 1500000,
18 "financial_account_id": "finacc-556677889900aabb",
19 "notes": "Includes labor and materials",
20 "cost_code": "CC-4500",
21 "category_code": "CAT-300",
22 "retention_percent": "5.00"
23 }
24 ]
25 }
26}
Create Contract: Yardi REST | Interface | Method | |---|---| | Job Cost | /ItfJobCost/ImportContract | <Note title="Notice">Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.</Note>
Was this page helpful?
Previous

Update Contract: Yardi REST

Next
Built with

Create Contract: Yardi REST

InterfaceMethod
Job Cost/ItfJobCost/ImportContract
Notice
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Request

This endpoint expects an object.
integration_idstringRequired
The Propexo unique identifier for the integration
vendor_idstringRequired
The Propexo unique identifier for the vendor
start_datestringRequired
The start date associated with the contract
contract_detailslist of objectsRequired
end_datestringOptional
The end date associated with the contract
notesstringOptional
Notes associated with the contract
expense_typestringOptional
The expense type of the contract. You'll have to request this data from your customer
retention_percentstringOptional
The retention percent of the contract. Must be a decimal number with only 2 places

Response

Successful response
metaobject
resultobject

Errors

400
Bad Request Error